from parallels.plesk.source.expand.migrator import Migrator as PleskMigrator
from parallels.ppa.source.expand.client_subscription_adapter import ExpandToPPAClientSubscriptionConverterAdapter


class Migrator(PleskMigrator):
	def _convert_accounts(self, converted_resellers, report):
		converter_adapter = ExpandToPPAClientSubscriptionConverterAdapter()
		return converter_adapter.convert(self.global_context, converted_resellers, report)